%define name qbrew
%define summary Homebrewer's recipe calculator
%define version 0.4.1
%define release %mkrel 1

Summary:	%summary
Name: 		%name
Version: 	%version
Release: 	%release
License:	BSD
Group:		Sciences/Chemistry
URL:		http://www.usermode.org/code.html
Source0:	%{name}-%{version}.tar.gz
BuildRoot: 	%_tmppath/%name-%version-buildroot
Packager:	Runx2
Distribution:	PCLinuxOS
BuildRequires:	libqt4-devel
Requires:	lib64qtcore4

%description
QBrew is a homebrewing recipe calculator for Unix, Macintosh
and Windows. The QBrew homepage is at <http://www.usermode.org/code.html>.

%prep
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT
%setup -q

%build
#change prefix /usr/local to buildroot/usr in configure
%__perl -i -pe 's#^PREFIX=/usr/local#PREFIX=%{buildroot}%{_prefix}#' configure
#change path /usr/local to buildroot/usr in qbrew.pro
%__perl -i -pe 's#.path = /usr/local#.path = %{buildroot}%{_prefix}#' %{name}.pro

./configure \
--qtdir=%{qt4dir}
%{qt4bin}/qmake qbrew.pro "QT += xml"
%make

%install
%makeinstall_std

#mimetype
%define mimetype application/x-%{name}

# Associate File with MimeType (the KDE4/Gnome way)
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cat > $RPM_BUILD_ROOT%{_datadir}/mime/packages/%{name}.xml << EOF
<?xml version="1.0"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="%{mimetype}">
    <comment>%{name} file</comment>
    <glob pattern="*.%{name}"/>
  </mime-type>
</mime-info>
EOF

# Associate File with MimeType (the KDE3 way)
%define old_kde_mime $RPM_BUILD_ROOT%{_datadir}/mimelnk/%{mimetype}.desktop
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mimelnk/application
cat > %old_kde_mime << EOF
[Desktop Entry]
Type=MimeType
Comment=%{name} file
MimeType=%{mimetype}
Patterns=*.%{name};
EOF


# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 pics/%{name}.png %{buildroot}%_miconsdir/%{name}.png
install -m 0644 pics/%{name}.png %{buildroot}%_iconsdir/%{name}.png
install -m 0644 pics/%{name}.png %{buildroot}%_liconsdir/%{name}.png

# resize icons
convert %{buildroot}%_miconsdir/%{name}.png -resize 16x16 %{buildroot}%_miconsdir/%{name}.png 
convert %{buildroot}%_iconsdir/%{name}.png -resize 32x32 %{buildroot}%_iconsdir/%{name}.png 
convert %{buildroot}%_liconsdir/%{name}.png -resize 48x48 %{buildroot}%_liconsdir/%{name}.png


#Create .desktop file
%__mkdir_p %{buildroot}%{_datadir}/applications/
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=QBrew
Comment=%{summary}
Exec=%{_bindir}/%{name} %f
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=false
Categories=Chemistry;X-MandrivaLinux-MoreApplications-Sciences-Chemistry;
MimeType=%{mimetype};
EOF


%clean
test "x$RPM_BUILD_ROOT" != "x/" && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%{update_desktop_database}
%{update_mime_database}

%postun
%{clean_menus}
%{clean_desktop_database}
%{clean_mime_database}


%files
%defattr(-, root, root)
%doc AUTHORS
%doc INSTALL
%doc LICENSE
%doc README
%doc TODO
%{_bindir}/%{name}
%{_defaultdocdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/mimelnk/%{mimetype}.desktop
%_miconsdir/%{name}.png 
%_iconsdir/%{name}.png 
%_liconsdir/%{name}.png

%changelog
* Tue May 06 2009 runx2 <ajmcnally_at_cox_dot_net> 0.4.1-1mypclinuxos
- first build
